aboutsummaryrefslogtreecommitdiff
path: root/ci/test/06_script_b.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-08-10 11:32:55 -0400
committerMarcoFalke <falke.marco@gmail.com>2019-08-15 11:11:45 -0400
commitfafe78f6aedfc0ac865379c412a87670b6211021 (patch)
treea0a9b63b6fc3db34075175f160481cba5409fbde /ci/test/06_script_b.sh
parent8bd5e0af9983c6892d4076881d634cc524d643fd (diff)
downloadbitcoin-fafe78f6aedfc0ac865379c412a87670b6211021.tar.xz
ci: Rename .travis/ to ./ci/
Diffstat (limited to 'ci/test/06_script_b.sh')
-rwxr-xr-xci/test/06_script_b.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/ci/test/06_script_b.sh b/ci/test/06_script_b.sh
new file mode 100755
index 0000000000..e40055a6ee
--- /dev/null
+++ b/ci/test/06_script_b.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2018 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+
+export LC_ALL=C.UTF-8
+
+cd "build/bitcoin-$HOST" || (echo "could not enter distdir build/bitcoin-$HOST"; exit 1)
+
+if [ "$RUN_UNIT_TESTS" = "true" ]; then
+ BEGIN_FOLD unit-tests
+ DOCKER_EXEC LD_LIBRARY_PATH=$TRAVIS_BUILD_DIR/depends/$HOST/lib make $MAKEJOBS check VERBOSE=1
+ END_FOLD
+fi
+
+if [ "$RUN_FUNCTIONAL_TESTS" = "true" ]; then
+ BEGIN_FOLD functional-tests
+ DOCKER_EXEC test/functional/test_runner.py --ci --combinedlogslen=4000 ${TEST_RUNNER_EXTRA} --quiet --failfast
+ END_FOLD
+fi
+
+if [ "$RUN_FUZZ_TESTS" = "true" ]; then
+ BEGIN_FOLD fuzz-tests
+ DOCKER_EXEC test/fuzz/test_runner.py -l DEBUG ${DIR_FUZZ_IN}
+ END_FOLD
+fi
+
+cd ${TRAVIS_BUILD_DIR} || (echo "could not enter travis build dir $TRAVIS_BUILD_DIR"; exit 1)